package ru.dbotthepony.mc.otm.registry

import net.minecraft.core.registries.Registries
import net.minecraft.resources.ResourceKey
import net.minecraft.resources.ResourceLocation
import net.minecraft.world.damagesource.DamageType
import ru.dbotthepony.mc.otm.OverdriveThatMatters

object MDamageTypes {
	private fun register(name: String): ResourceKey<DamageType> = ResourceKey.create(Registries.DAMAGE_TYPE, ResourceLocation(OverdriveThatMatters.MOD_ID, name))

	val BECOME_ANDROID = register("become_android")
	val BECOME_HUMANE = register("become_humane")
	val EVENT_HORIZON = register("event_horizon")
	val HAWKING_RADIATION = register("hawking_radiation")
	val EXOPACK_PROBE = register("exopack_probe")
	val EMP = register("emp")
	val SHOCKWAVE = register("shockwave")
	val PLASMA = register("plasma")
	val COSMIC_RAYS = register("cosmic_rays")
	val EXPLOSIVE_HAMMER = register("explosive_hammer")
	val HAMMER_NAIL = register("hammer_nail")
	val ANDROID_DISCHARGE = register("android_discharge")
}
